<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDirectoryLookupDialRulesReq StructType
 * @subpackage Structs
 */
class AddDirectoryLookupDialRulesReq extends APIRequest
{
    /**
     * The directoryLookupDialRules
     * @var XDirectoryLookupDialRules
     */
    public $directoryLookupDialRules;
    /**
     * Constructor method for AddDirectoryLookupDialRulesReq
     * @uses AddDirectoryLookupDialRulesReq::setDirectoryLookupDialRules()
     * @param XDirectoryLookupDialRules $directoryLookupDialRules
     */
    public function __construct(XDirectoryLookupDialRules $directoryLookupDialRules = null)
    {
        $this
            ->setDirectoryLookupDialRules($directoryLookupDialRules);
    }
    /**
     * Get directoryLookupDialRules value
     * @return XDirectoryLookupDialRules|null
     */
    public function getDirectoryLookupDialRules()
    {
        return $this->directoryLookupDialRules;
    }
    /**
     * Set directoryLookupDialRules value
     * @param XDirectoryLookupDialRules $directoryLookupDialRules
     * @return AddDirectoryLookupDialRulesReq
     */
    public function setDirectoryLookupDialRules(XDirectoryLookupDialRules $directoryLookupDialRules = null)
    {
        $this->directoryLookupDialRules = $directoryLookupDialRules;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDirectoryLookupDialRulesReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
